<!-- ------------------------ ขอข้อมูล หรือเอกสารเพิ่มเติมเพื่อประกอบการให้ความเห็น ---------------------------------------- -->
<div class="row" *ngIf="showDateStatus">
  <div class="col-12" *ngIf="data.result.length > 0 || showHead">
    <p class="head-detal">ขอข้อมูล หรือเอกสารเพิ่มเติมเพื่อประกอบการให้ความเห็น</p>
    <hr>
  </div>
  <div class="col-12" *ngIf="data.result.length > 0">
    <div class="row ">
      <div class="col-12" *ngFor="let comment of data.result; index as icomment">
        <div *ngIf="comment.question !== null" class="commented pt-3 pb-1"
          style="padding-left: 30px; padding-right: 30px;">
          <div></div>
          <!-- --------------------------------------- คำถาม --------------------------------------- -->
          <div class="col-12 d-flex bd-highlight p-0 ">
            <div class="flex-grow-1 bd-highlight">
              <p class="comment-head">คำถามครั้งที่ {{icomment + 1}}</p>
            </div>
            <div class="bd-highlight"
              *ngIf="comment.question.edit_status && newQuestionStatus && comment.question.owner === true "
              style="text-align: right; width: 400px;">
              <span class="comment-head-delete" (click)='deleteQuestion(icomment, comment.question.id)'>ลบคำถาม</span>
              <span class="comment-head-center"></span>
              <span class="comment-head-edit" *ngIf="comment.question.edit_comment_status else question_status"
                (click)="editQuestion(icomment); comment.question.edit_comment_status = !(comment.question.edit_comment_status); check_edit_comment_status()">บันทึกการแก้ไข</span>
              <ng-template #question_status>
                <span class="comment-head-edit"
                  (click)="comment.question.edit_comment_status = !(comment.question.edit_comment_status); check_edit_comment_status()">แก้ไขคำถาม</span>
              </ng-template>
            </div>
          </div>
          <p class="comment-head-2">เมื่อวันที่ {{comment.question.createAtDate}} เวลา {{comment.question.createAtTime}}
            โดย {{comment.question.role}}</p>
          <textarea class="form-control" placeholder="ระบุคำถามเพื่อประกอบการให้ความเห็น"
            [(ngModel)]="comment.question.questionText" [disabled]="!(comment.question.edit_comment_status)"></textarea>
          <br>
          <p class="comment-head-3">ไฟล์เอกสารเพิ่มเติม</p>
          <!-- --- -->
          <div class="dropzone" [ngStyle]="{'display': comment.question.edit_comment_status == false ? 'none' : '' }">
            <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
              (change)="onSelectFile($event,'question', icomment)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
              application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
              application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
              .jpg,.raw,.svg,.tif,.gif.,.png" />
            <!-- --- accept="application/pdf" --- -->
            <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
            <a style="font-size: 18px; color: #00a6e6;"
              for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
          </div>

          <!-- ---------------------------- download ----------------------------- -->
          <table mat-table [dataSource]="comment.question.dataCommentQ">
            <!-- -- Position Column --  -->
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef style="width: 50%;text-align: center;">ชื่อไฟล์</th>
              <td mat-cell *matCellDef="let element" style="text-align: center;">{{ element.fileName }}</td>
            </ng-container>

            <!-- -- Name Column -- -->
            <ng-container matColumnDef="size">
              <th mat-header-cell *matHeaderCellDef style="text-align: center;">ขนาดไฟล์</th>
              <td mat-cell *matCellDef="let element" style="text-align: center;">
                {{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
            </ng-container>

            <!-- -- Name Column -- -->
            <ng-container matColumnDef="download">
              <th mat-header-cell *matHeaderCellDef style="width: 20%;text-align: center;"></th>
              <td mat-cell *matCellDef="let element; let index = index" style="text-align: center;">
                <!-- <a class="delete_file" *ngIf="comment.question.edit_comment_status else file_status"
                  (click)="delete_mutifile(icomment, 'question', index)">
                  ลบไฟล์
                </a> -->
                <div *ngIf="comment.question.edit_comment_status; else file_status_question">
                  <a class="download_file" *ngIf="element.base64File === null"
                    (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                  <a class="download_file" *ngIf="element.base64File !== null"
                    (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                  <a class="pipe">|</a>
                  <a class="delete_file" (click)="delete_mutifile(icomment, 'question', index)">ลบไฟล์</a>
                </div>
                <ng-template #file_status_question>
                  <!-- <a class="delete_file" (click)="downloadFile(element.base64File, element.fileName)">
                    ดาวน์โหลด
                  </a> -->
                  <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                </ng-template>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns_download"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns_download"></tr>
          </table>
          <br>
          <div *ngIf="check_hr(icomment, 'question')">
            <hr class="hrComment">
          </div>
        </div>
        <div *ngIf="comment.answer !== null else answer_null" class="commented pt-3 pb-1"
          style="padding-left: 30px; padding-right: 30px;">

          <!-- --------------------------------------- คำตอบ --------------------------------------- -->
          <div class="col-12 d-flex bd-highlight p-0 ">
            <div class="flex-grow-1 bd-highlight">
              <p class="comment-head">ตอบคำถามครั้งที่ {{icomment + 1}} </p>
            </div>
            <div class="bd-highlight" *ngIf="comment.answer.edit_status && newAnswerStatus && validate "
              style="text-align: right; width: 400px;">
              <span class="comment-head-delete" (click)='deleteAnswers(icomment, comment.answer.id)'>ลบคำตอบ</span>
              <span class="comment-head-center"></span>
              <span class="comment-head-edit" *ngIf="comment.answer.edit_comment_status else answer_status"
                (click)="editAnswer(icomment); comment.answer.edit_comment_status = !(comment.answer.edit_comment_status); check_edit_comment_status()">บันทึกการแก้ไข</span>
              <ng-template #answer_status>
                <span class="comment-head-edit"
                  (click)="comment.answer.edit_comment_status = !(comment.answer.edit_comment_status); check_edit_comment_status()">แก้ไขคำตอบ</span>
              </ng-template>
            </div>
          </div>
          <p class="comment-head-2">เมื่อวันที่ {{comment.answer.createAtDate}} เวลา {{comment.answer.createAtTime}} โดย
            {{comment.answer.role}}</p>
          <textarea class="form-control" placeholder="ระบุคำถามเพื่อประกอบการให้ความเห็น"
            [(ngModel)]="comment.answer.answer" [disabled]="!(comment.answer.edit_comment_status)"></textarea>
          <br>
          <p class="comment-head-3">ไฟล์เอกสารเพิ่มเติม</p>
          <!-- ---- -->
          <div class="dropzone" [ngStyle]="{'display': comment.answer.edit_comment_status == false ? 'none' : '' }">
            <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
              (change)="onSelectFile($event, 'answer', icomment)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
              application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
              application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
              .jpg,.raw,.svg,.tif,.png" />
            <!-- -- accept="application/pdf" -- -->
            <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
            <a style="font-size: 18px; color: #00a6e6;"
              for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
          </div>
          <!-- -- ---------------------------- download ----------------------------- -- -->
          <table mat-table [dataSource]="comment.answer.dataCommentA">
            <!-- -- Position Column -- -->
            <ng-container matColumnDef="name">
              <th mat-header-cell *matHeaderCellDef style="width: 50%;text-align: center;">ชื่อไฟล์</th>
              <td mat-cell *matCellDef="let element" style="text-align: center;">{{ element.fileName }}</td>
            </ng-container>

            <!-- -- Name Column -- -->
            <ng-container matColumnDef="size">
              <th mat-header-cell *matHeaderCellDef style="text-align: center;">ขนาดไฟล์</th>
              <td mat-cell *matCellDef="let element" style="text-align: center;">
                {{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
            </ng-container>

            <!-- -- Name Column -- -->
            <ng-container matColumnDef="download">
              <th mat-header-cell *matHeaderCellDef style="width: 20%;text-align: center;"></th>
              <td mat-cell *matCellDef="let element; let index = index" style="text-align: center;">
                <!-- <a class="delete_file" *ngIf="comment.answer.edit_comment_status else file_status"
                  (click)="delete_mutifile(icomment, 'answer', index)">
                  ลบไฟล์
                </a> -->
                <div *ngIf="comment.answer.edit_comment_status; else file_status_answer">
                  <a class="download_file" *ngIf="element.base64File === null"
                    (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                  <a class="download_file" *ngIf="element.base64File !== null"
                    (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                  <a class="pipe">|</a>
                  <a class="delete_file" (click)="delete_mutifile(icomment, 'answer', index)">ลบไฟล์</a>
                </div>
                <ng-template #file_status_answer>
                  <a class="download_file" (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
                </ng-template>
              </td>
            </ng-container>

            <tr mat-header-row *matHeaderRowDef="displayedColumns_download"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns_download"></tr>
          </table>
          <br>
          <div *ngIf="check_hr(icomment, 'answer')">
            <hr class="hrComment">
          </div>
        </div>
        <ng-template #answer_null>
          <div *ngIf="newAnswerStatus && validate">
            <!-- --------------------------------------- คำตอบ ใหม่ --------------------------------------- -->
            <div *ngIf="addStatus" class="col-12 mt-3" style="padding-left: 0px; padding-right: 0px;">
              <p class="comment-head">ตอบคำถามครั้งที่ {{icomment + 1}} :
                ระบุคำตอบหรืออัปโหลดเอกสารเพิ่มเติมเพื่อตอบคำถาม</p>
              <p class="comment-head-2">โดย {{role_detail}}</p>
              <textarea class="form-control" placeholder="ระบุคำถามเพื่อประกอบการให้ความเห็น"
                [(ngModel)]="newAnswer[icomment].answer" (ngModelChange)="checkTextNewAnswer()"></textarea>
              <br>
              <p class="comment-head-3">ไฟล์เอกสารเพิ่มเติม</p>

              <!-- ---------------------------- download ----------------------------- -->
              <div class="dropzone">
                <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple
                  (change)="onSelectFile($event, 'newAnswer', icomment)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
                  application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
                  application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
                  .jpg,.raw,.svg,.tif,.gif.,.png" />
                <!-- accept="application/pdf" -->
                <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
                <a style="font-size: 18px; color: #00a6e6;"
                  for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
              </div>
              <table mat-table [dataSource]="newAnswer[icomment].dataCommentA">
                <!-- Position Column -->
                <ng-container matColumnDef="name">
                  <th mat-header-cell *matHeaderCellDef style="width: 50%;text-align: center;">ชื่อไฟล์</th>
                  <td mat-cell *matCellDef="let element" style="text-align: center;">{{ element.fileName }}</td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="size">
                  <th mat-header-cell *matHeaderCellDef style="text-align: center;">ขนาดไฟล์</th>
                  <td mat-cell *matCellDef="let element" style="text-align: center;">
                    {{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
                </ng-container>

                <!-- Name Column -->
                <ng-container matColumnDef="download">
                  <th mat-header-cell *matHeaderCellDef style="width: 20%;text-align: center;"></th>
                  <td mat-cell *matCellDef="let element; let index = index" style="text-align: center;">
                    <!-- <a class="delete_file" (click)="delete_mutifile(icomment, 'newAnswer', index)">ลบไฟล์</a> -->
                    <a class="download_file" (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
                    <a class="pipe">|</a>
                    <a class="delete_file" (click)="delete_mutifile(icomment, 'newAnswer', index)">ลบไฟล์</a>
                  </td>
                </ng-container>

                <tr mat-header-row *matHeaderRowDef="displayedColumns_download"></tr>
                <tr mat-row *matRowDef="let row; columns: displayedColumns_download"></tr>
              </table>
              <br>
              <div *ngIf="check_hr(icomment, 'answer')">
                <hr class="hrComment">
              </div>
              <br>
            </div>

          </div>
        </ng-template>
      </div>
    </div>
  </div>
  <!----------------------------------------------------- คำถาม ใหม่----------------------------------------------------->
  <!-- validate : {{validate}}
  newQuestionStatus : {{newQuestionStatus}}
  addStatus : {{addStatus}} -->
  <div *ngIf="addStatus && newQuestionStatus && validate" class="col-12 mt-3">
    <div *ngIf="newQuestionStatus">
      <p class="comment-head">คำถามครั้งที่ {{data.result.length + 1}}</p>
      <p class="comment-head-2">โดย {{ role_detail }} </p>
      <textarea class="form-control" placeholder="ระบุคำถามเพื่อประกอบการให้ความเห็น"
        [(ngModel)]="templateCommentsNew.detail"></textarea>
      <br>
      <p class="comment-head-3">ไฟล์เอกสารเพิ่มเติม</p>
    </div>
    <!-- <div *ngIf="newAnswerStatus">
      <p class="comment-head">ตอบคำถามครั้งที่ 1 :  ระบุคำตอบหรืออัปโหลดเอกสารเพิ่มเติมเพื่อตอบคำถาม</p>
      <p class="comment-head-2">โดย {{ rolename }}-{{ userRole }}</p>
      <textarea class="form-control" placeholder="ระบุคำถามเพื่อประกอบการให้ความเห็น" [(ngModel)]="templateCommentsNew.detail"></textarea>
      <br>
      <p class="comment-head-3">ไฟล์เอกสารเพิ่มเติม</p>
    </div> -->

    <!-- ---------------------------- download ----------------------------- -->
    <div class="dropzone">
      <input class="form-control" type="file" #fileDropRef id="fileDropRef" multiple [(ngModel)]="fileNew"
        (change)="onSelectFile($event, 'new', 0)" accept=".doc,.docx,.xml,application/msword,application/vnd.openxmlformats-officedocument.wordprocessingml.document,
          application/vnd.openxmlformats-officedocument.presentationml.presentation,application/pdf,
          application/vnd.openxmlformats-officedocument.spreadsheetml.sheet,
          .jpg,.raw,.svg,.tif,.gif.,.png" />
      <!-- accept="application/pdf" -->
      <img src="../../../../../assets/img/upload-icon.png" style="margin-bottom: 5px;" />
      <a style="font-size: 18px; color: #00a6e6;"
        for="fileDropRef">&nbsp;เลือกเอกสารที่ต้องการอัปโหลดหรือลากและวางไฟล์เอกสารที่นี่</a>
    </div>
    <table mat-table [dataSource]="dataCommentNew_download">
      <!-- Position Column -->
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef style="width: 50%;text-align: center;">ชื่อไฟล์</th>
        <td mat-cell *matCellDef="let element" style="text-align: center;">{{ element.fileName }}</td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="size">
        <th mat-header-cell *matHeaderCellDef style="text-align: center;">ขนาดไฟล์</th>
        <td mat-cell *matCellDef="let element" style="text-align: center;">
          {{ (element.fileSize / 1024).toFixed(2) + ' KB' }}</td>
      </ng-container>

      <!-- Name Column -->
      <ng-container matColumnDef="download">
        <th mat-header-cell *matHeaderCellDef style="width: 20%;text-align: center;"></th>
        <td mat-cell *matCellDef="let element; let index = index" style="text-align: center;">
          <!-- <a class="delete_file" (click)="delete_mutifile(null, 'new', index)">ลบไฟล์</a> -->
          <a class="download_file" *ngIf="element.base64File === null"
            (click)="downloadFile(element.path)">ดาวน์โหลดไฟล์</a>
          <a class="download_file" *ngIf="element.base64File !== null"
            (click)="downloadFile64(element)">ดาวน์โหลดไฟล์</a>
          <a class="pipe">|</a>
          <a class="delete_file" (click)="delete_mutifile(null, 'new', index)">ลบไฟล์</a>
        </td>
      </ng-container>

      <tr mat-header-row *matHeaderRowDef="displayedColumns_download"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns_download"></tr>
    </table>
    <br><br>
  </div>
  <div *ngIf="addStatus && validate" class="col-12" style="text-align: right;">
    <div *ngIf="newQuestionStatus">
      <button type="button" class="btn btn-send"
        [disabled]="!(btn_sand) || (templateCommentsNew.detail === null || templateCommentsNew.detail === '')"
        (click)="sendQuestionNew()">ส่งคำถาม</button>
    </div>
    <div *ngIf="btn_newAnswerStatus">
      <button type="button" class="btn btn-send" [disabled]="!(btn_sand_answer)"
        (click)="sendAnswerNew()">ส่งคำตอบ</button>
    </div>
    <br><br>
  </div>
</div>

<br> <br>


<div style="display: none;">
  <a id="testttt" data-toggle="modal" data-target="#exampleModal">
    open
  </a>
</div>

<!-- Modal -->
<div class="modal fade" id="exampleModal" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel"
  aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content" style=" background-color: white;">
      <div class="col-12 modal-header" style="
          text-align: center;
          height: 56px;
          padding: 12px;
          background-color: rgba(0, 110, 149, 0.1);
        ">
        <div class="col-12" style="
            text-align: center;
            display: flex;
            align-items: center;
            justify-content: center;
          ">
          <img src="assets/img/Alarm-blue.svg" width="30" height="30" />&nbsp;
          <span style="font-size: 18px; color: #006e95;" class="modal-title" id="exampleModalLabel">
            มีบางไฟล์ใหญ่เกินขนาดที่รับรองได้
          </span>
        </div>
        <img src="assets/img/x.png" width="10" height="10" data-dismiss="modal"
          style="position: absolute; right: 10px;cursor:pointer" />
      </div>
      <div class="modal-body" style="text-align: left; padding: 4%;word-wrap:break-word">
        <a style="color:#2e2d2d">ไม่สามารถอัพโหลดไฟล์ต่อไปนี้ได้</a><br />
        <div *ngFor="let item of OverSize" style="color:#2e2d2d">-&nbsp;{{ item }}</div>
      </div>
      <br />
      <div class="mb-3" style="text-align: center;">
        <button type="button" class="btn btn-primary" data-dismiss="modal" style="
            justify-items: center !important;
            background-color: #00a4e4;
            width: 150px;
          ">
          ตกลง
        </button>
      </div>
    </div>
  </div>
</div>
<!-- ------------------------------------------- End Over multi files Size ----------------------------------------------- -->